<?php

declare(strict_types=1);

namespace Drupal\lms\Attribute;

use Drupal\Component\Plugin\Attribute\Plugin;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Defines a ActivityAnswer attribute for plugin discovery.
 */
#[\Attribute(\Attribute::TARGET_CLASS)]
class ActivityAnswer extends Plugin {

  /**
   * Constructs a ActivityAnswer attribute.
   *
   * @param string $id
   *   The plugin ID.
   * @param \Drupal\Core\StringTranslation\TranslatableMarkup|null $name
   *   The human-readable name of the activity answer plugin.
   * @param class-string|null $deriver
   *   (optional) The deriver class.
   */
  public function __construct(
    public readonly string $id,
    public readonly ?TranslatableMarkup $name,
    public readonly ?string $deriver = NULL,
  ) {}

}
