<?php

namespace Drupal\lms\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface for defining Activity entities.
 */
interface ActivityInterface extends ContentEntityInterface, EntityChangedInterface, EntityOwnerInterface {

  /**
   * Gets the current revision vid.
   *
   * @return string
   *   Vid.
   */
  public function getCurrentRevision();

  /**
   * Gets a list of Answer revision IDs for a specific Answer.
   *
   * @return int[]
   *   Activity revision IDs (in ascending order).
   */
  public function revisionIds();

}
