<?php

namespace Drupal\lms\Entity\Handlers;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * Provides a listing of Activity type entities.
 */
class ActivityTypeListBuilder extends ConfigEntityListBuilder {

  /**
   * Existing plugin definitions.
   */
  private array $definitions;

  /**
   * {@inheritdoc}
   */
  public function load(): array {
    $this->definitions = \Drupal::service('plugin.manager.activity_answer')->getDefinitions();
    return parent::load();
  }

  /**
   * {@inheritdoc}
   */
  public function buildHeader(): array {
    $header['id'] = $this->t('ID');
    $header['label'] = $this->t('Activity type');
    $header['plugin'] = $this->t('Plugin');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity): array {
    $row['id'] = $entity->id();
    $row['label'] = $entity->label();
    $row['plugin'] = $this->definitions[$entity->getPluginId()]['name'] ?? $this->t('Missing plugin');
    return $row + parent::buildRow($entity);
  }

}
